ru.bitel.bgbilling.modules.wm.server.bean

## Class WMRequest

- java.lang.Object
- - ru.bitel.bgbilling.modules.wm.server.bean.WMRequest

-     public final class WMRequest
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WMRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkHash()`
    `boolean` | `checkRecieverPurse()`
    `java.lang.String` | `getLmi_LMI_PREREQUEST()`
    `java.lang.String` | `getLmi_PAYEE_PURSE()`
    `java.lang.String` | `getLmi_PAYER_PURSE()`
    `java.lang.String` | `getLmi_PAYER_WM()`
    `java.lang.String` | `getLmi_SECRETKEY()`
    `java.lang.String` | `getLmi_SYS_INVS_NO()`
    `java.lang.String` | `getLmi_SYS_TRANS_DATE()`
    `java.lang.String` | `getLmi_SYS_TRANS_NO()`
    `int` | `getMode()`
    `java.math.BigDecimal` | `getPaymentAmount()`
    `int` | `getPaymentNo()`
    `boolean` | `isPrerequest()`
    `static WMRequest` | `loadRequest(Preferences moduleSetup, javax.servlet.http.HttpServletRequest request)`
    `void` | `setMode(int mode)`
    `void` | `setPaymentAmount(java.math.BigDecimal paymentAmount)`
    `void` | `setPaymentNo(int paymentNo)`
    `void` | `setPrerequest(boolean prerequest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WMRequest

          public WMRequest()

  - ### Method Detail

    - #### getLmi_LMI_PREREQUEST

          public java.lang.String getLmi_LMI_PREREQUEST()

    - #### getLmi_PAYEE_PURSE

          public java.lang.String getLmi_PAYEE_PURSE()

    - #### getLmi_PAYER_PURSE

          public java.lang.String getLmi_PAYER_PURSE()

    - #### getLmi_PAYER_WM

          public java.lang.String getLmi_PAYER_WM()

    - #### getLmi_SECRETKEY

          public java.lang.String getLmi_SECRETKEY()

    - #### getLmi_SYS_INVS_NO

          public java.lang.String getLmi_SYS_INVS_NO()

    - #### getLmi_SYS_TRANS_DATE

          public java.lang.String getLmi_SYS_TRANS_DATE()

    - #### getLmi_SYS_TRANS_NO

          public java.lang.String getLmi_SYS_TRANS_NO()

    - #### loadRequest

          public static WMRequest loadRequest(Preferences moduleSetup,
                                              javax.servlet.http.HttpServletRequest request)

    - #### checkHash

          public boolean checkHash()

    - #### checkRecieverPurse

          public boolean checkRecieverPurse()

    - #### isPrerequest

          public boolean isPrerequest()

    - #### setPrerequest

          public void setPrerequest(boolean prerequest)

    - #### getMode

          public int getMode()

    - #### setMode

          public void setMode(int mode)

    - #### getPaymentAmount

          public java.math.BigDecimal getPaymentAmount()

    - #### setPaymentAmount

          public void setPaymentAmount(java.math.BigDecimal paymentAmount)

    - #### getPaymentNo

          public int getPaymentNo()

    - #### setPaymentNo

          public void setPaymentNo(int paymentNo)